Community
Showing results for 
Search instead for 
Do you mean 
Reply

Error While restoring ACT 2006 database backup file to ACT Version17

TN
Tuned Listener
Posts: 58
Country: USA

Error While restoring ACT 2006 database backup file to ACT Version17

[ Edited ]

 I took database backup of ACT2006 and now want to restore in ACT v 17, but I am getting following error.

 

 

"Database was backed up on server running version 8.00 . that version is incompatible with this server, which is running version 12.00.2000 "

 

 

Moderator
Posts: 719
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

[ Edited ]

ACT! 2006 used Microsoft SQL Server 2000 as the database engine. If you installed Act! v17.1 or later and it was a fresh install, Act! v17.1 uses Microsoft SQL Server 2014. A database created in Microsoft SQL Server 2000 cannot be upgraded directly to Microsoft SQL Server 2014. It must be upgraded to Microsoft SQL Server 2008 R2, then it must be upgraded to Microsoft SQL Server 2014. Act! v17.1 does work with Microsoft SQL Server 2008 R2, so as long as you are on a computer which supports Microsoft SQL Server 2008, can uninstall Microsoft SQL Server 2014, then manually create the Microsoft SQL Server 2008 R2 database engine in order to upgrade it and even use it. (For information on supported operating systems: https://msdn.microsoft.com/en-us/library/ms143506(v=sql.105).aspx)

 

For more information about using Microsoft SQL Server 2014 with Act! v17 and later, refer to the following knowledgebase article: http://kb.swiftpage.com/app/answers/detail/a_id/38104

Elise O'Pry
Swiftpage
Visit our knowledgebase at http://kb.act.com
TN
Tuned Listener
Posts: 58
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

I uninstalled SQL server2014 and installed SQL Server 2008 R2, but after doing this also it is not working.

 

When we install ACTv17 but default SQL2014 gets installed, so I uninstalled it and installed SQL Server 2008 R2 but not working

Moderator
Posts: 719
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

Are you getting the same error message, or a different one?

Elise O'Pry
Swiftpage
Visit our knowledgebase at http://kb.act.com
TN
Tuned Listener
Posts: 58
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

same error.

 

Hope the steps I am doing is correct.

 

I have a database backup taken from ACT2006 and now I want to restore it in ACT v17.  Please advise the steps

Moderator
Posts: 719
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

The process for restoring a database can be found here: http://kb.swiftpage.com/app/answers/detail/a_id/19211

 

If that is the process you are following and you are getting the error even after SQL 2014 has been uninstalled and Microsoft SQL Server 2008 R2 has been installed, then it might be possible that the Microsoft SQL Server 2014 ACT7 instance may not have uninstalled properly.

 

 

Elise O'Pry
Swiftpage
Visit our knowledgebase at http://kb.act.com
TN
Tuned Listener
Posts: 58
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

I uninstalled SQL2014 completely from my computer and Now I only have SQL 2008 Server R2

Moderator
Posts: 719
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

Are you able to create a blank database as a test (File > New Database...), create a backup (File > Backup > Database...) then attempt to restore that database and see if an error appears when trying to do that?

Elise O'Pry
Swiftpage
Visit our knowledgebase at http://kb.act.com
TN
Tuned Listener
Posts: 58
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

I am able to do backup and restore on ACT version 17 , but I am not able to restore backup taken on ACT2006

TN
Tuned Listener
Posts: 58
Country: USA

Re: Error While restoring ACT 2006 database backup file to ACT Version17

Now i have only ACt 2006 on my computer, now if I install ACT V17 than will the database be automatically updated to latest version